.register-modal-overlay{display:none;position:fixed;top:0;left:0;width:100%;height:100%;background:rgba(0,0,0,.7);justify-content:center;align-items:center;z-index:10001}
.register-modal-overlay.active{display:flex}
.register-modal-box{width:8rem;height:5.64rem;background:url(/home/pc/image/login-bg.png) no-repeat;background-size:cover;position:relative;box-sizing:border-box}
.register-modal-close{position:absolute;top:.05rem;right:0;font-size:.4rem;cursor:pointer;opacity:0;width:.5rem;height:.5rem}
.register-title{width:5rem;margin:.7rem auto .4rem;display:flex;justify-content:center;align-items:center;font-size:.4rem;background:linear-gradient(to bottom,#fdeeca,#f8c475);-webkit-background-clip:text;color:transparent;font-family:'Source Han Serif CN',serif;font-weight:bold}
.register-form-container{width:5.6rem;margin:0 auto;text-align:center}
.form-item{margin-bottom:.2rem;position:relative;display:flex;justify-content:center;align-items:center}
.form-item label{display:block;width:1.2rem;text-align:right;font-size:.21rem;color:#ffdaab;font-weight:bold;margin-right:.1rem}
.form-item input[type=text],.form-item input[type=search],.form-item input[type=password]{width:100%;height:.45rem;line-height:.45rem;border:.01rem solid #b89f80;box-sizing:border-box;font-size:.21rem;background:#4a2a0f;padding:0 .1rem;color:#b89f80}
.form-item input::placeholder{color:#b89f80;font-size:.18rem}
.form-item input:focus{outline:none;border:.01rem solid #ffdaab}
.code-item{display:flex;width:100%}
.get-code-btn{width:1.2rem;height:.45rem;line-height:.45rem;background:#ddbb91;border:none;cursor:pointer;font-size:.18rem;color:#4a2a0f;white-space:nowrap}
.agreement-item{font-size:.18rem;color:#b89f80;display:flex;align-items:center;justify-content:center;gap:.05rem;margin-top:.3rem}
.agreement-item input{width:.25rem;height:.25rem}
.agreement-item a{color:#f8c475;text-decoration:none}
.submit-btn{width:1.46rem;height:.59rem;line-height:.59rem;background-image:linear-gradient(to bottom,#fdeeca,#f8c475);color:#6e3f20;border:none;font-size:.21rem;margin-top:.3rem;cursor:pointer;font-weight:bold}
.go-login{text-align:center;margin-top:.1rem}
.go-login a{font-size:.18rem;color:#ff4e4e;text-decoration:underline}
